package com.iamberry.wechat.core.entity.wx;

import java.io.Serializable;
import java.util.Date;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月8日
 * @explain	微信分享统计
 */
public class WechatShare implements Serializable {

	private static final long serialVersionUID = -7845102182997480304L;

	private Integer shareID;						// ID
	
	private String shareUrl;						// URL
	
	private Integer shareUrlHash;					// url的伪hash
	
	private String shareTitle;						// 标题
	
	private String shareDesc;						// 分享简介
	
	private Integer shareDataNum;					// 获取数据的次数
	
	private Integer shareNum;						// 分享数据
	
	private Date shareEndDate;						// 此url最后的分享时间
	
	private Date shareCreateDate;					// 创建时间

	public Integer getShareID() {
		return shareID;
	}

	public void setShareID(Integer shareID) {
		this.shareID = shareID;
	}

	public String getShareUrl() {
		return shareUrl;
	}

	public void setShareUrl(String shareUrl) {
		this.shareUrl = shareUrl;
	}

	public Integer getShareUrlHash() {
		return shareUrlHash;
	}

	public void setShareUrlHash(Integer shareUrlHash) {
		this.shareUrlHash = shareUrlHash;
	}

	public String getShareTitle() {
		return shareTitle;
	}

	public void setShareTitle(String shareTitle) {
		this.shareTitle = shareTitle;
	}

	public String getShareDesc() {
		return shareDesc;
	}

	public void setShareDesc(String shareDesc) {
		this.shareDesc = shareDesc;
	}

	public Integer getShareDataNum() {
		return shareDataNum;
	}

	public void setShareDataNum(Integer shareDataNum) {
		this.shareDataNum = shareDataNum;
	}

	public Integer getShareNum() {
		return shareNum;
	}

	public void setShareNum(Integer shareNum) {
		this.shareNum = shareNum;
	}

	public Date getShareEndDate() {
		return shareEndDate;
	}

	public void setShareEndDate(Date shareEndDate) {
		this.shareEndDate = shareEndDate;
	}

	public Date getShareCreateDate() {
		return shareCreateDate;
	}

	public void setShareCreateDate(Date shareCreateDate) {
		this.shareCreateDate = shareCreateDate;
	}
}
